# Generated from schemaless_rest_api-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name schemaless_rest_api

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: TSimple schema less rest API that have entities configured through environment variables
License: MIT
URL: https://gitlab.com/samuel-garratt/schemaless_rest_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
BuildArch: noarch

%description
Simple schema less rest API that can be run in docker and have entities
configured through a simple list of environment variables.
It follows convention over configuration to allow you to get a REST api that
stores unstructured data fast.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/schemaless_rest_api
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.2-1
- Initial package
